package org.springblade.bi.client.form;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.util.List;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString(includeFieldNames = false)
public class AppDelParams {

    private static final long serialVersionUID = 1L;

    /**
     * 数据集 ids
     */
    private List<Long> cubeIds;

    /**
     * 数据源 ids
     */
    private List<Long> dsIds;

    /**
     *  应用 id
     */
    private String appId;

    /**
     * org.springblade.system.client.model.PlatomixAppCopyLogModel
     */
    private String  platomixAppCopyLogModelStr;

}
