/**
 * 
 */
package org.springblade.bi.client.model;

import java.io.Serializable;

import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
public class CubeTableColumnModel implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Long id;
	
	/**
	 * 数据集ID
	 */
	private Long cubeDataId;

//	/**
//	 * 数据集字段业务ID
//	 */
//	private Long cubeTableColumnId;

	/**
	 * 表名
	 */
	private String tableName;
	
	/**
	 * 表别名
	 */
	private String tableAliasName;
	
	/**
	 * 字段标题
	 */
	private String columnTitle;
	
	/**
	 * 字段名称
	 */
	private String columnName;
	
	/**
	 * 字段注释
	 */
	private String columnComment;
	
	/**
	 * 字段类型
	 * 1-STRING;
	 * 2-DATETIME;
	 * 3-NUMBER;
	 * 4-BIGINT
	 */
	private Integer viewDataType;
}
