package org.springblade.bi.client.form;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.util.List;

/**
 * @author 喜欢番茄火锅
 * @date 2024/9/4 15:26
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString(includeFieldNames = false)
public class AppCopyParams {

    /**
     *
     */
    private static final long serialVersionUID = 1L;
    /**
     * 数据集 ids
     */
    private List<Long> cubeIds;

    /**
     * 数据源 ids
     */
    private List<Long> dsIds;

    /**
     *  应用 id
     */
    private String appId;

    /**
     *  目标应用id
     */
    private String targetAppId;

    /**
     *  目标应用数据源ID
     */
    private Long targetDsId;

    /**
     * org.springblade.system.client.model.PlatomixAppCopyLogModel
     */
    private String  platomixAppCopyLogModelStr;

    /**
     * 表单关联物理表名称
     */
    private List<String> associationTables;

}
